--- old/usr/src/cmd/zonecfg/zonecfg.c	Fri May  2 23:39:34 2014
+++ new/usr/src/cmd/zonecfg/zonecfg.c	Fri May  2 23:39:34 2014
@@ -5729,6 +5729,8 @@
 	char brand[MAXNAMELEN];
 	char hostidp[HW_HOSTID_LEN];
 	char fsallowedp[ZONE_FS_ALLOWED_MAX];
+	priv_set_t *privs;
+	char *privname = NULL;
 	int err, ret_val = Z_OK, arg;
 	int pset_res;
 	boolean_t save = B_FALSE;
@@ -5796,6 +5798,18 @@
 		saw_error = B_TRUE;
 	}
 
+	if ((privs = priv_allocset()) == NULL) {
+		zerr(gettext("%s: priv_allocset failed"), zone);
+		return;
+	}
+	if (zonecfg_get_privset(handle, privs, &privname) != Z_OK) {
+		zerr(gettext("%s: invalid privilege: %s"), zone, privname);
+		priv_freeset(privs);
+		free(privname);
+		return;
+	}
+	priv_freeset(privs);
+
 	if (zonecfg_get_hostid(handle, hostidp,
 	    sizeof (hostidp)) == Z_INVALID_PROPERTY) {
 		zerr(gettext("%s: invalid hostid: %s"),
